﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DataPager_SL
{
    public class ViewModel
    {
        public ObservableCollection<Employee> Employees { get; set; }
        public ViewModel()
        {
            Employees = GetData();
            PageSize = 10;
        }
        public int PageSize { get; set; }
        private ObservableCollection<Employee> GetData()
        {
            var collection = new ObservableCollection<Employee>();
            for (int i = 0; i < 100; i++)
            {
                Employee empoyee = new Employee();
                empoyee.Name = "Name " + i;
                empoyee.CompanyName = "Company " + i;
                empoyee.Title = "Title " + i;
                collection.Add(empoyee);
            }

            return collection;
        }
    }
}
